package org.eclipse.ecf.example.sc.actions.marker;

import java.util.ResourceBundle;

import org.eclipse.core.resources.IFile;
import org.eclipse.ecf.example.sc.ui.marker.DataEntryDialog;
import org.eclipse.jface.action.IAction;
import org.eclipse.jface.viewers.ISelection;
import org.eclipse.jface.viewers.StructuredSelection;
import org.eclipse.swt.widgets.Shell;
import org.eclipse.ui.IActionDelegate;
import org.eclipse.ui.IObjectActionDelegate;
import org.eclipse.ui.IWorkbenchPart;

public class MarkerAction implements IObjectActionDelegate {

	private static ResourceBundle resAddressBook = ResourceBundle.getBundle("marker");
	private IFile file;
	private static final String[] columnNames = {
		 resAddressBook.getString("Data_create"),
		 resAddressBook.getString("Last_update"),
		 resAddressBook.getString("Language"),
		 resAddressBook.getString("Title"),
		 resAddressBook.getString("Creator"),
		 
		 
		 resAddressBook.getString("Subject_and_Keywords"),
		 resAddressBook.getString("Description"),
		 resAddressBook.getString("Resource_Identifier"),
		 resAddressBook.getString("Source"),
		 resAddressBook.getString("Coverage"),
		 resAddressBook.getString("Rights_Management")};
	

	
	/**
	 * Constructor for Action1.
	 */
	public MarkerAction() {
		super();
	}

	/**
	 * @see IObjectActionDelegate#setActivePart(IAction, IWorkbenchPart)
	 */
	public void setActivePart(IAction action, IWorkbenchPart targetPart) {
	}

	/**
	 * @see IActionDelegate#run(IAction)
	 */
	public void run(IAction action) {
		
		Shell shell = new Shell();
		
			DataEntryDialog dialog = new DataEntryDialog(shell);
			dialog.setLabels(columnNames);
			dialog.setFileMarker(file);
			dialog.open();
			
		}

	/**
	 * @see IActionDelegate#selectionChanged(IAction, ISelection)
	 */
	public void selectionChanged(IAction action, ISelection selection) {
		if (selection instanceof StructuredSelection) {
			StructuredSelection ts = (StructuredSelection) selection;

			file = (IFile) ts.getFirstElement();
		}
	}

}
