package org.eclipse.ecf.example.sc.core.model.preferences;

import java.util.HashMap;

import org.eclipse.ecf.example.sc.core.SCUIMessages;


public class Preferences {
	
	private String containerType;
	private String targetServer;
	private String channelId;
	private String localName;
	private HashMap<String, String> licenses=new HashMap<String, String>();
	private int resultsDisplay;
	/**
	 * 0=by search SCP
	 * 1=by licenses
	 * 2=alphabetical
	 */
	private int searchResultsModel=1;
	

	

	public String getChannelId() {
		
		if(channelId == null){
			return SCUIMessages.getString(PreferenceConstants.CHANNEL_ID);
		}
		return channelId;
	}
	public void setChannelId(String channelId) {
		this.channelId = channelId;
	}
	public String getContainerType() {
		
		if(containerType==null)
			return SCUIMessages.getString(PreferenceConstants.CONTAINER_TYPE);
		return containerType;
	}
	public void setContainerType(String containerType) {
		this.containerType = containerType;
	}
	public String getLocalName() {
		if(localName==null)
			return SCUIMessages.getString(PreferenceConstants.LOCAL_NAME);
		return localName;
	}
	public void setLocalName(String localName) {
		this.localName = localName;
	}
	public String getTargetServer() {
		if(targetServer==null)
			return SCUIMessages.getString(PreferenceConstants.TARGET_SERVER);
		return targetServer;
	}
	public void setTargetServer(String targetServer) {
		this.targetServer = targetServer;
	}
	public int getResultsDisplay() {
		if(resultsDisplay==0)
			return Integer.parseInt(SCUIMessages.getString("sc.constant.ten"));
		return resultsDisplay;
	}
	public void setResultsDisplay(int resultsDisplay) {
		this.resultsDisplay = resultsDisplay;
	}
	public int getSearchResultsModel() {
		
		return searchResultsModel;
	}
	public void setSearchResultsModel(int searchResultsModel) {
		this.searchResultsModel = searchResultsModel;
	}
	
	public String toString() {
		return containerType+"::"+targetServer+"::"+channelId+"::"+localName+"::"+resultsDisplay+"::"+searchResultsModel;
		
	}
	public HashMap<String, String> getLicenses() {

		return licenses;
	}
	public void setLicenses(HashMap<String, String> licenses) {
		this.licenses = licenses;
	}
	public void addLicenses(String projectName, String license) {
		licenses.put(projectName, license);
		
	}
	
}
